Bug 1663139 - AttributeError: '_hawkey.Sack' object has no attribute 'load_yum_repo'
Summary: AttributeError: '_hawkey.Sack' object has no attribute 'load_yum_repo'
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rpmdeplint
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Dan Callaghan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-01-03 09:54 UTC by Bruno Goncalves
Modified: 2019-06-10 05:29 UTC (History)
2 users (show)

Fixed In Version: rpmdeplint-1.4-8.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 05:29:58 UTC


Attachments (Terms of Use)

Description Bruno Goncalves 2019-01-03 09:54:12 UTC
Description of problem:

rpmdeplint check-sat --repo=rawhide,https://dl.fedoraproject.org/pub/fedora/linux/development/rawhide/Workstation/x86_64/os/ --arch=x86_64 *.rpm
Traceback (most recent call last):
  File "/usr/bin/rpmdeplint", line 11, in <module>
    load_entry_point('rpmdeplint==1.4', 'console_scripts', 'rpmdeplint')()
  File "/usr/lib/python3.7/site-packages/rpmdeplint/cli.py", line 232, in main
    return args.func(args)
  File "/usr/lib/python3.7/site-packages/rpmdeplint/cli.py", line 58, in cmd_check_sat
    with dependency_analyzer_from_args(args) as analyzer:
  File "/usr/lib/python3.7/site-packages/rpmdeplint/cli.py", line 158, in dependency_analyzer_from_args
    return DependencyAnalyzer(repos, rpms, arch=arch)
  File "/usr/lib/python3.7/site-packages/rpmdeplint/__init__.py", line 128, in __init__
    self._sack.load_yum_repo(repo=repo.as_hawkey_repo(), load_filelists=True)
AttributeError: '_hawkey.Sack' object has no attribute 'load_yum_repo'


Version-Release number of selected component (if applicable):
rpmdeplint-1.4-3.fc29.noarch

How reproducible:
100%

Steps to Reproduce:
1.koji download-build --arch x86_64 --arch src --arch noarch --debuginfo --task-id 31787447

2.rpmdeplint check-sat --repo=rawhide,https://dl.fedoraproject.org/pub/fedora/linux/development/rawhide/Workstation/x86_64/os/ --arch=x86_64 *.rpm

Comment 1 Bruno Goncalves 2019-01-03 10:39:14 UTC
The last version works: https://github.com/default-to-open/rpmdeplint/archive/master.zip

I just needed to install python3-solv and python3-librepo packages as well.

Comment 2 Fedora Update System 2019-05-29 15:28:59 UTC
FEDORA-2019-1e6bd59200 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-1e6bd59200

Comment 3 Fedora Update System 2019-05-30 15:35:12 UTC
rpmdeplint-1.4-8.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-1e6bd59200

Comment 4 Fedora Update System 2019-06-10 05:29:58 UTC
rpmdeplint-1.4-8.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.